/*
Berg, Curtis, Lugauer, & Mark
Demographics and Monetary Policy Shocks
File use rscfp1989.dta, rscfp1998.dta, and rscfp2007.dta and 
produces the data in Table 3 (see Stata output)
*/



clear
use rscfp1989.dta
generate year = 1989
append using rscfp1998.dta
replace year = 1998 if year == .
append using rscfp2007.dta
replace year = 2007 if year == .

replace wgt = wgt/5
gen weight = round(wgt,1)

sort age
gen age_group = .
replace age_group = 1 if age >=25 & age<35
replace age_group = 2 if age>=35 & age <65
replace age_group = 3 if age > 65
*drop if age_group == .

sort year
gen median_nw = .

foreach j in 1989 1998 2007 {
 summarize networth [fweight=weight] if year == `j', detail 
 replace median_nw = r(p50) if year == `j'
  } 
  
collapse median_nw (median) networth  [fweigh=weight], by(year age_group)

gen median_nw_to_total_nw = networth/median_nw

drop if age_group == .
keep age_group year median_nw_to_total_nw
reshape wide median_nw_to_total_nw, i(age_group) j(year)





